%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3d0addbecfcb31aedb59f36f7a34b349

Summary: A KDE version of ssh-askpass with KWallet support
Name: ksshaskpass
Version: 0.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=50971
Group: Applications/Internet
%NoSource 0 http://hanz.nl/download/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: openssh-clients
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libart_lgpl-devel
BuildPreReq: libutempter-devel
BuildPreReq: libidn-devel
BuildPreReq: lcms-devel
BuildPreReq: desktop-file-utils

%description
A KDE version of ssh-askpass with KWallet support.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# move and install ksshaskpass
mv %{buildroot}%{_bindir}/ksshaskpass %{buildroot}%{_bindir}/ksshaskpass.bin

cat > %{buildroot}%{_bindir}/ksshaskpass << EOF
#!/bin/sh
SSH_ASKPASS=%{_bindir}/ksshaskpass.bin
export SSH_ASKPASS
exec ssh-add
EOF

chmod 755 %{buildroot}%{_bindir}/ksshaskpass

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Network \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/ksshaskpass.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/ksshaskpass
%{_bindir}/ksshaskpass.bin
%{_datadir}/applications/kde/ksshaskpass.desktop
%{_datadir}/doc/HTML/*//ksshaskpass
%{_datadir}/icons/*/*/*//ksshaskpass.png

%changelog
* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for Momonga Linux
